NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.CAE.PolygonFaceOnMeshBuilder Class Reference

Builder for creating Polygon Face On Mesh More...

Inheritance diagram for NXOpen.CAE.PolygonFaceOnMeshBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  PolygonFaceOnMeshType { TwoDimensionElement, ElementFreeFace, Mesh }
 Represents the polygon face on mesh type to be used More...
 
enum  SelectBodyMethod { CreateNew, AddToExisting }
 Represents the select body option to be used More...
 

Properties

unsafe bool AllowInconsistentElementNormalsOption [get, set]
 Returns or sets the allow inconsistent element normals option More...
 
unsafe NXOpen.Expression BoundaryMerging [get]
 Returns the angle More...
 
unsafe bool DuplicateNodesAttachedToSolidsOption [get, set]
 Returns or sets the duplicate nodes attached to solids option More...
 
unsafe NXOpen.Expression ElementEdgeFeatureAngle [get]
 Returns the element edge feature angle More...
 
unsafe
NXOpen.CAE.SelectElementsBuilder 
ElementEdgeSelection [get]
 Returns the selected element edge(s) More...
 
unsafe NXOpen.Expression ElementFaceFeatureAngle [get]
 Returns the element face feature angle More...
 
unsafe
NXOpen.CAE.SelectElementsBuilder 
ElementSelection [get]
 Returns the selected element(s) More...
 
unsafe NXOpen.Expression FaceSmoothing [get]
 Returns the angle More...
 
unsafe bool KeepInternalEdgesOption [get, set]
 Returns or sets the keep internal edges option More...
 
unsafe
NXOpen.SelectTaggedObjectList 
SelectBody [get]
 Returns the selected body More...
 
unsafe
NXOpen.CAE.PolygonFaceOnMeshBuilder.SelectBodyMethod 
SelectBodyOption [get, set]
 Returns or sets the select body option for different ways of body select method More...
 
unsafe
NXOpen.SelectTaggedObjectList 
SelectMesh [get]
 Returns the selected mesh More...
 
unsafe
NXOpen.CAE.PolygonFaceOnMeshBuilder.PolygonFaceOnMeshType 
Type [get, set]
 Returns or sets the selection method for different ways of selection More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Builder for creating Polygon Face On Mesh

To create a new instance of this class, use NXOpen.CAE.AbstractionManager.CreatePolygonFaceOnMeshBuilder

Default values.

Property Value

ElementEdgeFeatureAngle.Value

30

ElementFaceFeatureAngle.Value

60

Created in NX7.5.2

Member Enumeration Documentation

Represents the polygon face on mesh type to be used

Enumerator
TwoDimensionElement 

2D Element

ElementFreeFace 

3D Element free faces

Mesh 

2D Mesh

Represents the select body option to be used

Enumerator
CreateNew 

Create new body

AddToExisting 

Add to existing body

Property Documentation

unsafe bool NXOpen.CAE.PolygonFaceOnMeshBuilder.AllowInconsistentElementNormalsOption
getset

Returns or sets the allow inconsistent element normals option

Created in NX1847.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.PolygonFaceOnMeshBuilder.BoundaryMerging
get

Returns the angle

Created in NX7.5.2

License requirements: None.

unsafe bool NXOpen.CAE.PolygonFaceOnMeshBuilder.DuplicateNodesAttachedToSolidsOption
getset

Returns or sets the duplicate nodes attached to solids option

Created in NX1847.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.PolygonFaceOnMeshBuilder.ElementEdgeFeatureAngle
get

Returns the element edge feature angle

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SelectElementsBuilder NXOpen.CAE.PolygonFaceOnMeshBuilder.ElementEdgeSelection
get

Returns the selected element edge(s)

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.PolygonFaceOnMeshBuilder.ElementFaceFeatureAngle
get

Returns the element face feature angle

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SelectElementsBuilder NXOpen.CAE.PolygonFaceOnMeshBuilder.ElementSelection
get

Returns the selected element(s)

Created in NX7.5.2

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.PolygonFaceOnMeshBuilder.FaceSmoothing
get

Returns the angle

Created in NX7.5.2

License requirements: None.

unsafe bool NXOpen.CAE.PolygonFaceOnMeshBuilder.KeepInternalEdgesOption
getset

Returns or sets the keep internal edges option

Created in NX12.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.SelectTaggedObjectList NXOpen.CAE.PolygonFaceOnMeshBuilder.SelectBody
get

Returns the selected body

Created in NX7.5.2

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.PolygonFaceOnMeshBuilder.SelectBodyMethod NXOpen.CAE.PolygonFaceOnMeshBuilder.SelectBodyOption
getset

Returns or sets the select body option for different ways of body select method

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.SelectTaggedObjectList NXOpen.CAE.PolygonFaceOnMeshBuilder.SelectMesh
get

Returns the selected mesh

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.PolygonFaceOnMeshBuilder.PolygonFaceOnMeshType NXOpen.CAE.PolygonFaceOnMeshBuilder.Type
getset

Returns or sets the selection method for different ways of selection

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.